package com.ruoyi.quote.service;

import com.ruoyi.quote.domain.CalculateRBParamDto;
import com.ruoyi.quote.domain.MaterialDto;

import java.util.List;

/**
 * @ClassName QuoteService
 * @Description TODO
 * @Author JIAL
 * @Date 2024/3/5 16:06
 * @Version 1.0
 */
public interface QuoteService {
    List<MaterialDto> queryMaterialListByParam(String precMaterialName, String vagueMaterialName, String vagueModel);

    List<CalculateRBParamDto> queryRedBCostByParams(List<CalculateRBParamDto> params);

    List<CalculateRBParamDto> queryRedBPriceByParams(List<CalculateRBParamDto> params);

    String queryRedBookVer();

    String queryRedBookLocalVer();
}
